# IShMovie Struct Reference
[MCImage]

Inheritance diagram for IShMovie:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | GetCaps (TMovieCaps &caps)=0
virtual IDType MCCOMAPI | GetFileTypeID ()=0
virtual MCCOMErr MCCOMAPI | CreateMovieController (IMFPart **movieController)=0
virtual MCCOMErr MCCOMAPI | Initialize (const TMCString &fullPathName, const TSequencedMovieInfos *infos=NULL)=0
virtual MCCOMErr MCCOMAPI | BeginRead ()=0
virtual MCCOMErr MCCOMAPI | GetFrameRate (real32 &frameRate)=0
virtual MCCOMErr MCCOMAPI | GetFrameCount (uint32 &frameCount)=0
virtual MCCOMErr MCCOMAPI | GetFrame (IShRasterLayer **rasterLayer, uint32 frameIndex)=0
virtual MCCOMErr MCCOMAPI | GetFrame (IShLayerList **layerList, uint32 frameIndex, boolean forceLoad)=0
virtual MCCOMErr MCCOMAPI | EndRead ()=0
virtual boolean MCCOMAPI | HasOptionsDialog ()=0
virtual MCCOMErr MCCOMAPI | ShowOptionsDialog (uint32 depth, real32 &frameRate)=0
virtual boolean MCCOMAPI | HasOptions ()=0
virtual MCCOMErr MCCOMAPI | BeginWrite (const TMCString &fullPathName, uint32 sizeH, uint32 sizeV, uint32 depth, real32 frameRate, boolean append)=0
virtual MCCOMErr MCCOMAPI | PutFrame (IShRasterLayer *rasterLayer, const TGBuffer32List *gBuffers, uint32 frameIndex)=0
virtual MCCOMErr MCCOMAPI | PutFrame (IShLayerList *layerList, const TGBuffer32List *gBuffers, uint32 frameIndex)=0
virtual MCCOMErr MCCOMAPI | PutSound (IExSound *inSound, uint32 startTime, int32 offsetInSound)=0
virtual MCCOMErr MCCOMAPI | Flush ()=0
virtual MCCOMErr MCCOMAPI | GetMovieFullPathName (TMCString &fullPathName)=0
virtual MCCOMErr MCCOMAPI | EndWrite ()=0
virtual MCCOMErr MCCOMAPI | PostWrite ()=0
virtual void MCCOMAPI | MakeCopy (const TMCString &fullPathName, TMCString &outFirstFileName)=0
virtual void MCCOMAPI | DeleteMovie ()=0
virtual void MCCOMAPI | GetCompressionOptions (IExMovieCompressionOptions **movieOptions)=0
virtual void MCCOMAPI | SetCompressionOptions (IExMovieCompressionOptions *movieOptions)=0
virtual boolean MCCOMAPI | CanHaveSounds ()=0
virtual MCCOMErr | FinishAddingSound ()=0

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IShMovie::BeginRead | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::BeginWrite | ( | const TMCString & | fullPathName,
|  | uint32 | sizeH,
|  | uint32 | sizeV,
|  | uint32 | depth,
|  | real32 | frameRate,
|  | boolean | append |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI IShMovie::CanHaveSounds | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::CreateMovieController | ( | IMFPart ** | movieController | ) | `[pure virtual]`

virtual void MCCOMAPI IShMovie::DeleteMovie | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::EndRead | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::EndWrite | ( |  | ) | `[pure virtual]`

virtual MCCOMErr IShMovie::FinishAddingSound | ( |  | ) | `[pure virtual]`

Should be called after all the called to PutSound to get the changes written to disk.

virtual MCCOMErr MCCOMAPI IShMovie::Flush | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::GetCaps | ( | TMovieCaps & | caps | ) | `[pure virtual]`

virtual void MCCOMAPI IShMovie::GetCompressionOptions | ( | IExMovieCompressionOptions ** | movieOptions | ) | `[pure virtual]`

virtual IDType MCCOMAPI IShMovie::GetFileTypeID | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::GetFrame | ( | IShLayerList ** | layerList,
|  | uint32 | frameIndex,
|  | boolean | forceLoad |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::GetFrame | ( | IShRasterLayer ** | rasterLayer,
|  | uint32 | frameIndex |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::GetFrameCount | ( | uint32 & | frameCount | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::GetFrameRate | ( | real32 & | frameRate | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::GetMovieFullPathName | ( | TMCString & | fullPathName | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShMovie::HasOptions | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShMovie::HasOptionsDialog | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::Initialize | ( | const TMCString & | fullPathName,
|  | const TSequencedMovieInfos * | infos = `NULL` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IShMovie::MakeCopy | ( | const TMCString & | fullPathName,
|  | TMCString & | outFirstFileName |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::PostWrite | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::PutFrame | ( | IShLayerList * | layerList,
|  | const TGBuffer32List * | gBuffers,
|  | uint32 | frameIndex |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::PutFrame | ( | IShRasterLayer * | rasterLayer,
|  | const TGBuffer32List * | gBuffers,
|  | uint32 | frameIndex |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::PutSound | ( | IExSound * | inSound,
|  | uint32 | startTime,
|  | int32 | offsetInSound |
| ) |  |  | `[pure virtual]`

Adds a sound to the movie. Don't forget to call FinishAddingSound once you are done adding all the sounds.

Parameters:

  | inSound | The sound that should be added to the movie.
  | startTime | Start time of the sound in the animation
  | offsetInSound | Offset into the sound where it actually starts

virtual void MCCOMAPI IShMovie::SetCompressionOptions | ( | IExMovieCompressionOptions * | movieOptions | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMovie::ShowOptionsDialog | ( | uint32 | depth,
|  | real32 & | frameRate |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShMovie.h